DeluxHostAPI Reference
Support tickets

List ticket messages

GET
/v1/tickets/{id}/messages

Authorization

apiToken tickets:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: tickets:read

Path Parameters

id*number

Query Parameters

beforeId?number
limit?number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
nextBeforeId*null|number
curl -X GET 'https://api.deluxhost.net/v1/tickets/0/messages' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "id": 0,      "authorRole": "string",      "body": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "nextBeforeId": null}